package com.fjhx.params.stock;

import lombok.Data;

import java.math.BigDecimal;

@Data
public class ChangeProduct implements StockChangeVo.ChangeDetails {

    /**
     * 产品id
     */
    private Long productId;

    /**
     * 出库数量
     */
    private BigDecimal quantity;

    /**
     * 业务id
     */
    private Long businessId;

    @Override
    public Long getGoodsId() {
        return productId;
    }

    @Override
    public BigDecimal getChangeQuantity() {
        return quantity;
    }

}